## electron-25 25.8.1

=== debian/changelog ===
electron-25 (25.8.1-1) UNRELEASED; urgency=medium

  * Initial release.

 -- Eric Long <i@hack3r.moe>  Fri, 15 Sep 2023 21:12:14 +0800
