=== debian/control ===
Source: electron-25
Section: unknown
Priority: optional
Maintainer: Eric Long <i@hack3r.moe>
Standards-Version: 4.5.1
Homepage: https://www.electronjs.org
Rules-Requires-Root: no
Vcs-Git: https://github.com/revyos/debian-electron.git
Vcs-Browser: https://github.com/revyos/debian-electron
Build-Depends:
 debhelper-compat (= 13),
 clang,
 clang-format,
 lld,
 generate-ninja,
 ninja-build,
 openjdk-11-jdk-headless,
 npm,
 nodejs,
 python3,
 elfutils,
 brotli,
 pkg-config,
 gperf,
 unzip,
 libopus-dev,
 liblcms2-dev,
 libjsoncpp-dev,
 libopenjp2-7-dev,
 libxslt1-dev,
 libwoff-dev,
 libflac-dev,
 libopenh264-dev,
 libre2-dev,
 libevent-dev,
 libdouble-conversion-dev,
 libxnvctrl-dev,
 libsnappy-dev,
 libminizip-dev,
 libxshmfence-dev,
 libjpeg-dev,
 libicu-dev,
 rapidjson-dev,
 libcups2-dev,
 zlib1g-dev,
 libglib2.0-dev,
 libdbus-1-dev,
 libgdk-pixbuf-2.0-dev,
 libnss3-dev,
 libpulse-dev,
 libxkbcommon-dev,
 libatspi2.0-dev,
 libatk1.0-dev,
 libdrm-dev,
 libfreetype-dev,
 libatk-bridge2.0-dev,
 libgtk-3-dev,
 libgbm-dev,
 libpipewire-0.3-dev,
 mesa-common-dev,
 libnotify-dev,
 libx11-xcb-dev,
 libcurl4-openssl-dev,
 libpci-dev,
 libasound2-dev,
 libkrb5-dev,
 libnghttp2-dev,
 libc-ares-dev,
 libva-dev,
 libevdev-dev,
 libstdc++-13-dev,
 python3-setuptools,

Package: electron-25
Architecture: any
Multi-Arch: foreign
Description: Build cross platform desktop apps with web technologies
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 x11-utils,
 xdg-utils,
